org.gnome.gtk

## Class Settings

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Settings

-     public class Settings
      extends Object

  Global settings for a GTK application. Get this object by calling the factory function `Gtk.getSettings()`.

       settings = Gtk.getSettings();
       settings.setButtonImages(true);

  Since:
    4.0.14
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getButtonImages()` Are images (icons) being shown on Buttons by default?
    `boolean` | `getMenuImages()` Are images (icons) being shown in menus by default?
    `boolean` | `getShowInputMethodMenu()` Do Entry and TextView popup context menus have a menu item allowing you to change the InputMethod?
    `boolean` | `getShowUnicodeMenu()` Are Entry and TextView popup context menus showing a menu item allowing you to enter Unicode control characters?
    `void` | `setButtonImages(boolean setting)` Set whether Buttons should have images (ie stock icons) showing on them by default.
    `void` | `setMenuImages(boolean setting)` Set whether MenuItems should have images (notably stock icons) showing on them by default.
    `void` | `setShowInputMethodMenu(boolean setting)` Should the context menus of TextViews and Entries have a menu item offering to let you change the InputMethod?
    `void` | `setShowUnicodeMenu(boolean setting)` Should the context menus of TextViews and Entries have a menu item offering to let you input unusual Unicode control sequences?

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getButtonImages

          public boolean getButtonImages()

      Are images (icons) being shown on Buttons by default?
      Since:
        4.0.14

    - #### getMenuImages

          public boolean getMenuImages()

      Are images (icons) being shown in menus by default?
      Since:
        4.0.14

    - #### getShowInputMethodMenu

          public boolean getShowInputMethodMenu()

      Do Entry and TextView popup context menus have a menu item allowing you to change the InputMethod?
      Since:
        4.0.14

    - #### getShowUnicodeMenu

          public boolean getShowUnicodeMenu()

      Are Entry and TextView popup context menus showing a menu item allowing you to enter Unicode control characters?
      Since:
        4.0.14

    - #### setButtonImages

          public void setButtonImages(boolean setting)

      Set whether Buttons should have images (ie stock icons) showing on them by default.

           settings.setButtonImages(true);

      The default was `true` before GNOME 2.28, but it seems to have been changed as a result of changing the default value of GConf key `/desktop/gnome/interface/buttons_have_icons` . This allows you to return that setting to normal for your application.

      The underlying GtkSetting is the "gtk-button-images" property.

      Since:
        4.0.14

    - #### setMenuImages

          public void setMenuImages(boolean setting)

      Set whether MenuItems should have images (notably stock icons) showing on them by default.

           settings.setMenuImages(true);

      Somewhat amazingly, GtkSettings properties are dynamic at runtime; this property does not even exist until the underlying GtkImageMenuItem class has initialized and installed the required property. So if wish to call this you need to do so after you've built some menus.

      The underlying GtkSetting is the "gtk-menu-images" property.

      Since:
        4.0.14

    - #### setShowInputMethodMenu

          public void setShowInputMethodMenu(boolean setting)

      Should the context menus of TextViews and Entries have a menu item offering to let you change the InputMethod?

      Normally they do, so `true` is the default.

      Since:
        4.0.14

    - #### setShowUnicodeMenu

          public void setShowUnicodeMenu(boolean setting)

      Should the context menus of TextViews and Entries have a menu item offering to let you input unusual Unicode control sequences?

      By default they do, so you can expect this to be `true`.

      Since:
        4.0.14